here-1.2.14: Here docs & interpolated strings via quasiquotation

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.String.Here.Uninterpolated

Description

Literal, uninterpolated here docs

Synopsis

- here :: QuasiQuoter
- hereFile :: QuasiQuoter
- hereLit :: QuasiQuoter

# Documentation

here :: QuasiQuoter Source #

Quote a here doc, stripping leading and trailing whitespace

hereFile :: QuasiQuoter Source #

Splice a file's contents as a here doc

hereLit :: QuasiQuoter Source #

Quote a here doc literally, with no whitespace stripping